summaryrefslogtreecommitdiffstats
path: root/network/C-IP2Location
diff options
context:
space:
mode:
author Chris Abela <chris.abela@maltats.com>2011-07-03 13:46:57 -0400
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-14 21:54:02 -0300
commit022d8487404bb4fe0ca2db5709387fb2530e3e16 (patch)
treef827c48bd22cbd7f79772845c473b4ab75e43403 /network/C-IP2Location
parenta65f46228af05d1c81658c7429167169ae86ae35 (diff)
downloadslackbuilds-022d8487404bb4fe0ca2db5709387fb2530e3e16.tar.gz
slackbuilds-022d8487404bb4fe0ca2db5709387fb2530e3e16.tar.xz
network/C-IP2Location: Added (Geo IP library)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/C-IP2Location')
-rw-r--r--network/C-IP2Location/C-IP2Location.SlackBuild100
-rw-r--r--network/C-IP2Location/C-IP2Location.info10
-rw-r--r--network/C-IP2Location/README11
-rw-r--r--network/C-IP2Location/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/network/C-IP2Location/C-IP2Location.SlackBuild b/network/C-IP2Location/C-IP2Location.SlackBuild
new file mode 100644
index 0000000000..f0170fd6fe
--- /dev/null
+++ b/network/C-IP2Location/C-IP2Location.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for C-IP2Location
+# Copyright 2011 Chris Abela, Malta
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=C-IP2Location
+VERSION=${VERSION:-4.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# NEWS is empty, so we do not bother to copy it
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL IP2LOCATION_PRODUCTS_CATALOG.PDF LICENSE.TXT README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/C-IP2Location/C-IP2Location.info b/network/C-IP2Location/C-IP2Location.info
new file mode 100644
index 0000000000..313faa4e3e
--- /dev/null
+++ b/network/C-IP2Location/C-IP2Location.info
@@ -0,0 +1,10 @@
+PRGNAM="C-IP2Location"
+VERSION="4.0.2"
+HOMEPAGE="http://www.ip2location.com/c.aspx"
+DOWNLOAD="http://www.ip2location.com/download/C-IP2Location-4.0.2.tar.gz"
+MD5SUM="c6bcc8469f0464b91e345cc452d8c554"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Chris Abela"
+EMAIL="chris.abela@maltats.com"
+APPROVED="dsomero"
diff --git a/network/C-IP2Location/README b/network/C-IP2Location/README
new file mode 100644
index 0000000000..f313f7bab9
--- /dev/null
+++ b/network/C-IP2Location/README
@@ -0,0 +1,11 @@
+IP2Location is a C library that enables the user to find the country, region,
+city, latitude, longitude, zip code, time zone, ISP, domain name, connection
+type, area code, weather, mobile network by IP address or hostname originates
+from. It contains a demo IP2Location IP-COUNTRY BIN database which consists of
+real data for IP address range 0.0.0.0 to 99.255.255.255. This database
+contains IP address blocks as key and countries as values. The paid version of
+IP2Location database covers all IP address range. In general, it is more
+complete, fast and accurate than using reverse DNS lookups. Developers can
+download other sample databases to evaluate other features such as region,
+city, latitude, longitude, zip code, ISP, domain name, connection, area code,
+weather code and mobile network code using the same C library.
diff --git a/network/C-IP2Location/slack-desc b/network/C-IP2Location/slack-desc
new file mode 100644
index 0000000000..e40befe821
--- /dev/null
+++ b/network/C-IP2Location/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------|
+C-IP2Location: C-IP2Location (Geo IP library)
+C-IP2Location:
+C-IP2Location: IP2Location is a C library that enables the user to find the
+C-IP2Location: country, region, city, latitude, longitude, zip code, time zone,
+C-IP2Location: ISP, domain name, connection type, area code, weather, mobile
+C-IP2Location: network by IP address or hostname originates from. It contains
+C-IP2Location: a demo IP2Location IP-COUNTRY BIN database which consists of
+C-IP2Location: real data for IP address range 0.0.0.0 to 99.255.255.255.
+C-IP2Location:
+C-IP2Location: Homepage: http://www.ip2location.com/c.aspx
+C-IP2Location: